%global namedreltag -SNAPSHOT
%global namedversion %{version}%{?namedreltag}
Name:          nifty-default-controls
Version:       1.3.1
Release:       %mkrel 2
Summary:       Nifty Default Controls
Group:         Development/Java
License:       BSD
Url:           http://nifty-gui.lessvoid.com/
# svn export https://nifty-gui.svn.sourceforge.net/svnroot/nifty-gui/nifty-default-controls/trunk nifty-default-controls-1.3.1-SNAPSHOT
# tar czf nifty-default-controls-1.3.1-SNAPSHOT-src-svn.tar.gz nifty-default-controls-1.3.1-SNAPSHOT
Source0:       %{name}-%{namedversion}-src-svn.tar.gz
Patch0:        nifty-default-controls-1.3.1-junit48.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: easymock2
BuildRequires: easymock2-classextension
BuildRequires: eventbus
BuildRequires: junit4
BuildRequires: nifty
BuildRequires: objenesis
BuildRequires: cglib

BuildRequires: maven-compiler-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-report-plugin

Requires:      nifty

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Nifty Default Controls.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

rm -rf $(find . -name "*.jar")
rm -rf $(find . -name "*.class")
%patch0 -p0

%build
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.3.1-2.mga3
+ Revision: 361026
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 11 2011 gil <gil> 1.3.1-1.mga2
+ Revision: 166516
- imported package nifty-default-controls

